float4 vecSkill1;
float4 vecViewPort;
texture TargetMap;

sampler2D smpScreen = sampler_state
{
	Texture = <TargetMap>;
	
	MinFilter	= linear;
	MagFilter	= linear;
	MipFilter	= linear;
	
	AddressU		= Wrap;
	AddressV		= Wrap;
};

float4 Shader(float2 tex : TEXCOORD0) : COLOR
{
	float4 Color = tex2D(smpScreen, tex*4.0);
	float brightness = Color.rgb;
	if(brightness < 0.5)
	{
		Color = 0;
	}
	
	return Color;
}

technique tech_00
{
	pass pass_00
	{
		VertexShader = null;
		PixelShader = compile ps_2_0 Shader();
	}
}
